SynthOut Class Reference

`#include <synthout.h>`

Inheritance diagram for SynthOut:

## Public Member Functions

| SynthOut (int d=0)
| ~SynthOut ()
void | openDev (int sqfd)
void | closeDev (void)
void | initDev (void)
void | noteOn (uchar chn, uchar note, uchar vel)
void | noteOff (uchar chn, uchar note, uchar vel)
void | keyPressure (uchar chn, uchar note, uchar vel)
void | chnPatchChange (uchar chn, uchar patch)
void | chnPressure (uchar chn, uchar vel)
void | chnPitchBender (uchar chn, uchar lsb, uchar msb)
void | chnController (uchar chn, uchar ctl, uchar v)
void | sysex (uchar *data, ulong size)
Public Member Functions inherited from MidiOut
| MidiOut (int d=0)
virtual | ~MidiOut ()
int | deviceType () const
const char * | deviceName (void) const
void | setMidiMapper (MidiMapper *map)
void | allNotesOff (void)
virtual void | channelSilence (uchar chn)
virtual void | channelMute (uchar chn, int b)
virtual void | setVolumePercentage (int volper)
int | ok (void)
const char * | midiMapFilename ()
void | sync (int i=0)

## Additional Inherited Members

Protected Member Functions inherited from MidiOut
void | seqbuf_dump (void)
void | seqbuf_clean (void)
Protected Attributes inherited from MidiOut
int | seqfd
int | device
int | devicetype
int | volumepercentage
MidiMapper * | map
uchar | chnpatch [16]
int | chnbender [16]
uchar | chnpressure [16]
uchar | chncontroller [16][256]
int | chnmute [16]
int | _ok

## Detailed Description

Synth (AWE) device output class .

SynthOut is used to send MIDI events to a general synthesizer, such as AWE synth.

SynthOut inherits MidiOut and supports the same simple API.

The preferred way to use this class is by selecting a synth (or AWE) device with MidiManager::setDefaultDevice(), and use a MidiManager object.

Sends MIDI events to AWE synthesizers

Version
  0.9.5 17/01/2000

Author
  Antonio Larrosa Jimenez larro.nosp@m.sa@k.nosp@m.de.or.nosp@m.g

Definition at line 44 of file synthout.h.

## Constructor & Destructor Documentation

SynthOut::SynthOut | ( | int | d = `0` | ) |

Constructor.

See MidiOut::MidiOut() for more information.

Definition at line 46 of file synthout.cc.

SynthOut::~SynthOut | ( |  | ) |

Destructor.

Definition at line 54 of file synthout.cc.

## Member Function Documentation

void SynthOut::chnController | ( | uchar | chn,
|  | uchar | ctl,
|  | uchar | v
| ) |  |

virtual

See MidiOut::chnController()

Reimplemented from MidiOut.

Definition at line 183 of file synthout.cc.

void SynthOut::chnPatchChange | ( | uchar | chn,
|  | uchar | patch
| ) |  |

virtual

See MidiOut::chnPatchChange()

Reimplemented from MidiOut.

Definition at line 165 of file synthout.cc.

void SynthOut::chnPitchBender | ( | uchar | chn,
|  | uchar | lsb,
|  | uchar | msb
| ) |  |

virtual

See MidiOut::chnPitchBender()

Reimplemented from MidiOut.

Definition at line 177 of file synthout.cc.

void SynthOut::chnPressure | ( | uchar | chn,
|  | uchar | vel
| ) |  |

virtual

See MidiOut::chnPressure()

Reimplemented from MidiOut.

Definition at line 171 of file synthout.cc.

void SynthOut::closeDev | ( | void |  | ) |

virtual

See MidiOut::closeDev()

Reimplemented from MidiOut.

Definition at line 106 of file synthout.cc.

void SynthOut::initDev | ( | void |  | ) |

virtual

See MidiOut::initDev()

Reimplemented from MidiOut.

Definition at line 113 of file synthout.cc.

void SynthOut::keyPressure | ( | uchar | chn,
|  | uchar | note,
|  | uchar | vel
| ) |  |

virtual

See MidiOut::keyPressure()

Reimplemented from MidiOut.

Definition at line 160 of file synthout.cc.

void SynthOut::noteOff | ( | uchar | chn,
|  | uchar | note,
|  | uchar | vel
| ) |  |

virtual

See MidiOut::noteOff()

Reimplemented from MidiOut.

Definition at line 151 of file synthout.cc.

void SynthOut::noteOn | ( | uchar | chn,
|  | uchar | note,
|  | uchar | vel
| ) |  |

virtual

See MidiOut::noteOn()

Reimplemented from MidiOut.

Definition at line 134 of file synthout.cc.

void SynthOut::openDev | ( | int | sqfd | ) |

virtual

See MidiOut::openDev()

Reimplemented from MidiOut.

Definition at line 59 of file synthout.cc.

void SynthOut::sysex | ( | uchar * | data,
|  | ulong | size
| ) |  |

virtual

It's an empty function, as AWE devices don't support System Exclusive messages.

Reimplemented from MidiOut.

Definition at line 195 of file synthout.cc.

The documentation for this class was generated from the following files:

- synthout.h
- synthout.cc

KDE Home | KDE Accessibility Home | Description of Access Keys